<?php

class Authentication_Marker {
	
	const MARKER_CACHE_KEY = 'authentication.marker';
	
	public static function setMarker() {
		Context_Cache::getCache()->store(self::MARKER_CACHE_KEY, md5(rand(1, 999999)), 60*60*24);
	}
	
	public static function getMarker() {
		return (string)Context_Cache::getCache()->fetch(self::MARKER_CACHE_KEY);
	}
	
	public static function hasMarker() {
		return Context_Cache::getCache()->exist(self::MARKER_CACHE_KEY);
	}
	
	public static function isValid($marker) {
		$marker = (string)$marker;
		return (('' !== $marker) && (Context_Cache::getCache()->fetch(self::MARKER_CACHE_KEY) === $marker));
	}
}