<?php

abstract class Common_Context_Os_Abstract implements Common_Context_Os_Interface {
	
	/**
	 * @return string
	 */
	public function getOsName() {
		return PHP_OS;
	}
	
	/**
	 * @return int 
	 */
	public function getServerRestartTimeout() {
		return $this->restartTimeout;
	}

	/**
	 * Retrieve the local hostname
	 * @return string
	 */
	public function getHostname() {
		return php_uname('n');
	}
}