<?php
class Context_Api_FactoryUserServer extends Context_Api_FactoryAbstract {

	/**
	 * @return PhpMemory_Interface
	 */
	public function getPhpMemory() {
		return new PhpMemory_UserServer();
	}
	
	/**
	 * @return ZwasComponents_Accelerator_Api_UserServer
	 */
	public function getAcceleratorAPI() {
		return new ZwasComponents_Accelerator_Api_UserServer();
	}

	/**
	 * @return ZwasComponents_DataCache_Api_UserServer
	 */
	public function getCacheAPI() {
		return new ZwasComponents_DataCache_Api_UserServer();
	}

	/**
	 * @return ZwasComponents_PageCache_Api_UserServer
	 */
	public function getPageCacheAPI() {
		return new ZwasComponents_PageCache_Api_UserServer();
	}
	
	/**
	 * @return ZwasComponents_JavaBridge_Api_UserServer
	 */
	public function getJavaBridgeAPI() {
		return new ZwasComponents_JavaBridge_Api_UserServer();
	}
	
	/**
	 * @return ZwasComponents_Util_Api_Interface
	 */
	public function getUtilAPI() {
		return new ZwasComponents_Util_Api_UserServer();
	}
	
	/**
	 * @return ZwasComponents_SessionClustering_Api_Interface
	 */
	public function getSessionClusteringDaemonApi() {
		return new ZwasComponents_SessionClustering_Api_UserServer();
	}
	/**
	 * @return PhpGlobals_Api_Interface
	 */
	public function getPhpGlobals() {
		return new PhpGlobals_Api_UserServer();
	}
	
	/**
	 * @return Webserver_Api
	 */
	public function getWebserverAPI() {
		return new Webserver_UserServer();
	}
	
}

