<?php

class Context_Version_CE extends Context_Version_Abstract {
	
	/*
	 * (non-PHPdoc)
	 * @see Context_Version_Abstract::getStudioIntegrationModel()
	 */
	public function getStudioIntegrationModel() {
		// TRANSLATE
		throw new Zwas_Exception(Zwas_Translate::_('Studio integration is unavailable in this edition'));
	}
	
	/**
	 * @return License_Control_Interface|null
	 */	
	public function getLicenseControl() {
		return null;
	}

	/**
	 * @return License_Model_Abstract
	 * @throws Zwas_Exception
	 */
	public function getLicenseModel($licenseInfo = null) {
		// TRANSLATE
		throw new Zwas_Exception(Zwas_Translate::_('Zend Server Community Edition does not rely on licensing'));
	}

	/**
	 * @return string
	 */	
	protected function getAppVersion() {
		return Context_Version::EDITION_COMMUNITY;
	}
}
