<?php

class Directives_DisplayData_Select extends Directives_DisplayData_Abstract {
	

	/**
	 * Currently selected value
	 * @var string
	 */
	private $value;
	/**
	 * @var array
	 */
	private $options;

	/**
	 * @param string $name
	 * @param string $value
	 * @param string $description
	 * @param array $options
	 * @param boolean $isDisabled
	 */
	public function __construct($name, $value, $description, $options, $isDisabled) {
		parent::__construct(self::TYPE_SELECT, $name, $description, $isDisabled);
		$this->options	= $options;
		$this->value	= $value;
	}
	
	/**
	 * @return boolean
	 */
	public function getValue() {
		return $this->value;
	}

	/**
	 * @return array
	 */
	public function getOptions() {
		return $this->options;
	}
}