<?php
class DisplayWidget_LabelTooltip extends DisplayWidget_Abstract {
	/**
	 * @var Zwas_Text | string
	 */
	private $tooltipContent;
	
	/**
	 * @param string $iconType the type of the icon
	 * @param Zwas_Text | string $tooltipContent The content of the tooltip box
	 * @param Zwas_Text | string $label The label that will appear next to the info icon
	 */
	public function __construct($label, $tooltipContent) {
		$this->type				= self::DISPLAY_WIDGET_LABEL_TOOLTIP;
		$this->tooltipContent	= $tooltipContent;
		$this->label			= $label;
	}
	
	/**
	 * @return Zwas_Text | string
	 */
	public function getTooltipContent() {
		return $this->tooltipContent;
	}
	
}