<?php
abstract class Navigation_Abstract extends Zend_Navigation {
	
	/**
	 * Since navigation is not cached yet, there's a need to move its internal pointer to the last
	 * position it was at
	 * @param string $currentActionName
	 */
	public function movePointerToCurrentPage($currentActionName) {
		$lowerActionName = strtolower($currentActionName);
		if (('index' != $lowerActionName) && ('' != $lowerActionName)) {
			while ($this->valid()) {
				$page = $this->current(); /* @var $page Zend_Navigation_Page_Mvc */
				if (strtolower($page->getAction()) == $lowerActionName) {
					break;
				}
				$this->next();
			}
		}
	}	
}