<?php

class PhpExtensions_Parser_Win extends PhpExtensions_Parser {
	
	/**
	 * @param string $filename
	 * @return string
	 */
	public function getExtensionNameFromFileName($filename) {
		$baseName = basename($filename, '.dll');
		return str_replace('php_', '', $baseName);
	}
	
	/**
	 * @return string
	 */
	protected function getExtensionFilePattern() {
		return 'php_*.dll';
	}
}