<?php

class PhpGlobals_Api_UserServer implements PhpGlobals_Api_Interface {
	
	/**
	 * Return the PHP_VERSION constant
	 * @return string
	 */
	public function getPhpVersion() {
		return PHP_VERSION;
	}
	
	/**
	 * Return value by key ($param) from $_SERVER
	 * @param string $param
	 * @return mix
	 */
	public function getServer($param) {
		if (array_key_exists($param, $_SERVER)) {
			return $_SERVER[$param];
		}
		return null;
	}
	
	/**
	 * Return the $_SERVER array
	 * @return array
	 */
	public function getServerAll() {
		return $_SERVER;
	}
}