<?php

class PhpGlobals_Api_ZwasServer extends ZwasServer implements PhpGlobals_Api_Interface {
	
	/**
	 * Return the PHP_VERSION constant
	 * @return string
	 */
	public function getPhpVersion() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	/**
	 * Return value by key ($param) from $_SERVER
	 * @param string $param
	 * @return mix
	 */
	public function getServer($param) {
		return $this->remoteAction(__FUNCTION__, array($param));
	}
	
	/**
	 * Return the $_SERVER array
	 * @return array
	 */
	public function getServerAll() {
		return $this->remoteAction(__FUNCTION__);
	}
	
	protected function getNameSpace() {
		return 'PhpGlobals_Api_Interface';
	}
}