<?php

class ZwasComponents_DataCache_Api_UserServer implements ZwasComponents_DataCache_Api_Interface {
	
	/**
	 * Clear the data caching extension's memory
	 * @return boolean The success status of the reset action
	 */
	public function clear() {
		if (function_exists('zend_shm_cache_clear') && function_exists('zend_disk_cache_clear')) {
			return (zend_shm_cache_clear() && zend_disk_cache_clear());
		}
		UserServer::throwMissingApiFunctionError(__CLASS__, __FUNCTION__, 'zend_shm_cache_clear OR zend_disk_cache_clear');		
	}
	
}