<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_AddHostForm extends Zend_View_Helper_Abstract {
	
	/**
	 * Get add host form
	 *
	 * @param ZwasComponents_Debugger_Forms_AddHost $form
	 * @return string
	 */
	public function addhostform(ZwasComponents_Debugger_Forms_AddHost $form) {
		$formId	= $form->getFormId();
		$target = $this->view->url(array('controller' => $form->getController(), 'action' => $form->getAction()));
		
		$output = <<<OUTPUT
		<form dojoType="zend.form.submitable" class="add-host" id="{$formId}" action="{$target}">
			<input name="addHostMaskedIp" dojoType="zend.widget.maskedIpParts" action="dijit.byId('$formId').submit();" />
		</form>
OUTPUT;
		
		return $output;
	}

}
