<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_InsertStaticFile extends Zend_View_Helper_Abstract {
	
	/**
	 * @param string $filename
	 */
	public function insertStaticFile($filename) {
		try {
			$fileObject = Context_FileSystem::getFileObject(Zwas_Path::create($filename), 'r');
			return $fileObject->readAll();
		} catch(Zwas_Exception $e) {
			Zwas_Log::logException(new Zwas_Text(Zwas_Translate::_('Could not open the file %s'), array($filename)), $e);
			return '';
		}
	}
}