<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_MessagePaneIcon extends Zend_View_Helper_Abstract {
	
	/**
	 * @param integer
	 * @return string
	 */
	public function messagePaneIcon($msgPaneType) {
		
		switch ($msgPaneType) {
			case MessagePane_Abstract::MESSAGE_PANE_ERROR:
				$imgSrc = $this->view->baseurl('images/icons/global-error.gif');
				break;
			case MessagePane_Abstract::MESSAGE_PANE_NOTICE:
				$imgSrc = $this->view->baseurl('images/icons/global-notice.gif');
				break;
			default:
				$imgSrc = '';
		}
		
		if (! empty($imgSrc)) {
			return "<img src=\"{$imgSrc}\" />";
		}
		return '';
	}
	
}