<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_ServerInfoRow extends Zend_View_Helper_Abstract {

	/**
	 * @param string $label
	 * @param string $onclick
	 * @param string $additionalClass
	 * @param string $id
	 * @param bool $disabled
	 * @param string $title
	 * @return string
	 */
	public function serverInfoRow($title, $data) {
		$output = "<tr>
						<th colspan=\"2\">{$title}</th>
					</tr>";
		
		foreach ($data as $dataLabel => $dataValue) {
			
			if ($dataLabel) {
				$output .= "<tr class=\"hoverable\">
								<td class=\"first\">{$dataLabel}</td>
								<td>{$this->view->escape($dataValue)}</td>
							</tr>";
			} else {
				$output .= "<tr class=\"hoverable\">
								<td colspan=\"2\">{$this->view->escape($dataValue)}</td>
							</tr>";
			}
			
			$output .= "<tr>
							<td colspan=\"2\" class=\"dotted-border-bottom hp1\">&nbsp;</td>
						</tr>";
		}
		
		return $output;
	}
	
}
