<?php

class EE_DebuggerController extends Zwas_Controller_MainContent {
	
	public function indexAction() {
		Nodes_Action::remoteAction($this);
		Nodes_Action::lockContentOnMixedCluster($this);
	}
	
	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/** Add actions **/
	public function addAllowHostAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	public function addDenyHostAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	/** Remove actions **/
	public function removeAllowedHostsAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	public function removeDenyHostsAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
}