<?php
class EE_PageCacheController extends Zwas_Controller_MainContent {
	
	public function rulesAction() {
		Nodes_Action::remoteAction($this);
	}
	
	public function editRulesAction() {
		Nodes_Action::remoteAction($this);
	}
	
	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		Nodes_Action::remoteDistributeAction($this);
		Nodes_Model::refreshNodesState();
	}
	
	/**
	 * Clear all page caching's data
	 */
	public function clearAllAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	public function addRuleAction() {
		Nodes_Action::remoteAction($this);
	}
	
	/**
	 * Saves a new rule
	 *
	 */
	public function saveRuleAction() {
		$this->getRequest()->setParam('ruleId', intval(microtime(true)));
		Nodes_Action::remoteDistributeAction($this);
	}
	
	/**
	 * Edits an existing cache rule
	 *
	 */
	public function updateRulesAction() {
		$this->getRequest()->setParam('ruleId', intval(microtime(true)));
		Nodes_Action::remoteDistributeAction($this);
	}
	
	/**
	 * Clear the url page caching data
	 */
	public function clearAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	public function clearSelectedRuleCacheAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	/**
	 * Removed the passed urls and then shows the cache rules
	 *
	 */
	public function deleteRulesAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
	
	public function deleteRuleAction() {
		Nodes_Action::remoteDistributeAction($this);
	}
}