<?php

interface Communication_Queue_Request_Interface {
	
	/**
	 * @return integer
	 */
	public function getNodeId();
	
	/**
	 * @param $nodeId
	 */
	public function setNodeId($nodeId);
	
	/**
	 * @param boolean $representative
	 */
	public function setRepresentative($representative);
	
	/**
	 * @return boolean
	 */
	public function isRepresentative();

	/**
	 * This is a method for development use only!!!
	 * Replace the value of debug_host with your IP, make sure this IP is allowed for debugging
	 * on the node you wish to debug, and that the debugger is loaded there (if in Linux -
	 * debugger needs to be loaded in lighttpd).
	 * Place this function in request() where somewhere before the parent::request() line
	 */
	public function triggerDebuggerOnNode();	
}