<?php

class Context_Version_EE extends Context_Version_Abstract {
	
	/*
	 * (non-PHPdoc)
	 * @see Context_Version_Abstract::getStudioIntegrationModel()
	 */
	public function getStudioIntegrationModel() {
		return new StudioIntegration_ZSM_Model();
	}
	
	/**
	 * @return License_Control_Interface|null
	 */	
	public function getLicenseControl() {
		return new License_Control_Redirect();
	}

	/**
	 * @return License_Model_Abstract
	 * @throws Zwas_Exception
	 */
	public function getLicenseModel($licenseInfo = null) {
		return new License_Model_EE($licenseInfo);
	}		
	
	/**
	 * @return string
	 */	
	protected function getAppVersion() {
		return Context_Version::EDITION_MANAGER;
	}	
}
