<?php
class Metadata_Model {
	
	/**
	 * @return string
	 * @throws Metadata_Exception
	 */
	public static function getCurrentVersion() {
		return Context_Db::getMetadataTable()->getCurrentVersion();
	}
	
	/**
	 * Serve as an auto increment for the node ID in the system for databases which do not support that (e.g. SQLite)
	 * @return integer
	 */
	public static function getNextServerId() {
		return Context_Db::getMetadataTable()->getNextServerId(Nodes_Model::getMaxServerId());
	}
	
}