<?php
class Navigation_RegistrationEE extends Navigation_Abstract {

   	/**
     * @param array|Zend_Config $pages    [optional] pages to add
     * @throws Zend_Navigation_Exception  if $pages is invalid
     */	
	public function __construct($pages = null) {
		parent::__construct($pages);
		
		$this->addPage(new Zend_Navigation_Page_Mvc(array(
			'label'			=> Zwas_Translate::_('End User License Agreement'),
			'action' 		=> 'Eula',
			'controller' 	=> 'Registration',
			'module' 		=> 'EE'
		)));
		
		$this->addPage(new Zend_Navigation_Page_Mvc(array(
			'label'			=> Zwas_Translate::_('Set Password'),
			'action' 		=> 'Password',
			'controller' 	=> 'Registration',
			'module' 		=> 'EE'
		)));
		
		$this->addPage(new Zend_Navigation_Page_Mvc(array(
			'label'			=> Zwas_Translate::_('License & Newsletter Registration'),
			'action' 		=> 'License',
			'controller' 	=> 'Registration',
			'module' 		=> 'EE'
		)));
		
		$this->addPage(new Zend_Navigation_Page_Mvc(array(
			'label'			=> Zwas_Translate::_('Set Database Connection'),
			'action' 		=> 'Db-Credentials',
			'controller' 	=> 'Registration',
			'module' 		=> 'EE'
		)));
	}

}