<?php
class Nodes_Model_Plugin_DetachNodeFromSessionClustering extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param Nodes_Element_Mapper $node
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node = null) {
		if($node == null) return;
		try {
			$this->nodeRequest($model, $node, 'Node-Session-Clustering', 'Detach-Node', array());
		} catch ( Zwas_Exception $e ) {
			/// this is a none-essential action, failures are logged and otherwise ignored
			Zwas_Log::logException ( "Failed on Nodes_Model_Plugin_DetachNodeFromSessionClustering pre remove node: ", $e );
		}	
	}
	
}