<?php

class Nodes_Response_Wrapper {
	
	/**
	 * @param Node_Response $nodeResponse
	 * @param Communication_Queue_Request_Interface $request
	 * @return Nodes_Response
	 * @throws Zwas_Exception
	 */
	public function wrap(Node_Response $nodeResponse, Communication_Queue_Request_Interface $request) {
		$nodesResponse = new Nodes_Response();
		$nodesResponse->setCode($nodeResponse->getCode());
		$nodesResponse->setData($nodeResponse->getData());
		$nodesResponse->setMessage($nodeResponse->getMessage());
		$nodesResponse->setControllerParams($nodeResponse->getControllerParams());
		$nodesResponse->setRepresentative($request->isRepresentative());
		$nodesResponse->setNodeId($request->getNodeId());
		return $nodesResponse;
	}
}