<?php
abstract class Upgrade_Conversion_Db_Abstract {
	/**
	 * @var string
	 */
	protected $originVersion;
	/**
	 * @var string
	 */
	protected $targetVersion;
	
	/**
	 * @param Zend_Db_Adapter_Abstract $adapter
	 * @throws Converstion_Exception
	 */
	abstract public function convert(Zend_Db_Adapter_Abstract $adapter);
	
	/**
	 * @return string
	 */
	public function getTargetVersion() {
		return $this->targetVersion;
	}
	
	/**
	 * @return string
	 */
	public function getOriginVersion() {
		return $this->originVersion;
	}
}