<?php

class ZwasComponents_ZSM_JobQueue_ConfigurationValidator extends ZwasComponents_JobQueue_ConfigurationValidator {
	
	public static function validate($params) {
		parent::validate($params);
		
		$jqBinding = $params['jqBinding'];
		$validator = new Zwas_Validate_JobQueueBinding();
		if (! $validator->isValid($jqBinding)) {
			// TRANSLATE
			throw new Zwas_Exception(Zwas_Translate::_('Enter a valid job queue daemon binding directive'));
		}
		return $params;
	}
}