<?php
/**
 * Zwas_View_Helper_ExtensionRow helper
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_ExtensionRow extends Zend_View_Helper_Abstract {
	
	/**
	 * @param Nodes_Extension_Element $extension
	 * @param array $nodesMessages
	 * @return string
	 */
	public function extensionRow(Nodes_Extension_Element $extension) {
		$extensionName = $extension->getName();
		return <<<EXTENSIONROW
				<tr id="ext-{$extensionName}">
					<td>
					{$this->view->extensionStatus($extensionName)}
					</td>
					<td class="no-wrap">{$extensionName}</td>
					<td class="no-wrap">{$this->view->extensionAction($extensionName)}</td>
					<td>
					{$this->view->extensionConfiguration($extensionName)}&nbsp;
					</td>
					<td class="w100">
					{$this->view->extensionMessageDetails($extensionName)}
					</td>
				</tr>
EXTENSIONROW;
	}
	
}