<?php
/**
 * Zwas_View_Helper_NodeName helper
 * @uses viewHelper Zend_View_Helper
 */
class Zwas_View_Helper_NodeName extends Zend_View_Helper_Abstract {
	
	private $nodes = null;
	
	public function nodeName($id) {
		if (is_null($this->nodes)) {
			$nodesModel = new Nodes_Model();
			$this->nodes = $nodesModel->getNodes();
		}
		
		if (isset($this->nodes[$id]) && ($this->nodes[$id] instanceof Nodes_Element_Mapper)) {
			return $this->nodes[$id]->getName();
		}
		// FIXME add a node ID to differentiate between the unknowns
		return new Zwas_Text(Zwas_Translate::_('Unknown (%s)'), $id);
	}

}