<?php
require_once ZEND_SERVER_GUI_PATH . '/library/Zwas/Translate.php';
require_once ZEND_SERVER_GUI_PATH . '/library/Zwas/Text.php';
if (ZEND_SERVER_APP_VERSION === 'EE') {
	$basePath	= '/ZendServerManager';
	$alt		= Zwas_Translate::_('Zend Server Manager');
} else {
	$basePath	= '/ZendServer';
	$alt		= Zwas_Translate::_('Zend Server');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=7" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo $alt;?></title>
<link type="image/x-icon" href=  "<?php echo $basePath ?>/images/favicon.ico" rel="shortcut icon" />

<link href= "<?php echo $basePath ?>/styles/zwas.css" media="screen" rel="stylesheet" type="text/css" />
<link href= "<?php echo $basePath ?>/styles/application/colors.css" media="screen" rel="stylesheet" type="text/css" />
<link href= "<?php echo $basePath ?>/styles/general.css" media="screen" rel="stylesheet" type="text/css" />
<link href= "<?php echo $basePath ?>/styles/login.css" media="screen" rel="stylesheet" type="text/css" />
</head>
<body class="tundra">
<div id="login-form-container">
	<div id="login-top">
		<img id="logo" src= "<?php echo $basePath ?>/images/application/layout/login/frame-top.gif" alt=<?php echo $alt ?> />
	</div>
	<div id="login-content">
		<div id="message-pane"></div>
			<div style="padding-top:50px">

			<table class="loginFormTable" cellpadding="2" cellspacing="2">
				<tr>
					<td><?php echo Zwas_Translate::_('There is a problem with one or more of your server configuration directive(s)/extension(s):')?></td>
				</tr>
				<tr>
					<td><?php echo CheckDependencies_CE::getErrorMessage(); ?></td>
				</tr>
			</table>
			</div>
		</div>
	<div id="login-bottom"></div>
	<div id="login-copyright">
		<img src= "<?php echo $basePath ?>/images/layout/login/zend-logo-footer.gif" alt="Zend" />
		&copy; <?php echo new Zwas_Text(Zwas_Translate::_('Copyright 1998-%s Zend Technologies Ltd. All rights reserved.'), array(date('Y')))?></div>
</div></body>
</html>