<?php
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/ZwasComponentController.php';

class JavaBridgeController extends ZwasComponentController {

	/**
	 * @var ZwasComponents_JavaBridge_Model
	 */
	private $javaBridgeModel;
	
	public function init() {
		parent::init();
		$this->javaBridgeModel = new ZwasComponents_JavaBridge_Model();
	}
	
	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		$this->activateComponent($this->javaBridgeModel);
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		$this->deactivateComponent($this->javaBridgeModel);
	}

	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		$this->forceDeactivateComponent($this->javaBridgeModel);
	}
	
}