<?php
require_once ZEND_SERVER_APP_CE_PATH . '/controllers/ZwasComponentController.php';

class LoaderController extends ZwasComponentController {

	/**
	 * @var ZwasComponents_Loader_Model
	 */
	private $loaderModel;
	
	/**
	 * Initialize the controller's loader model
	 */
	public function init() {
		parent::init();
		$this->loaderModel = new ZwasComponents_Loader_Model();
	}
	
	/**
	 * Turn the Zend Server component on
	 */
	public function activateAction() {
		$this->activateComponent($this->loaderModel);
	}
	
	/**
	 * Turn the Zend Server component off
	 */
	public function deactivateAction() {
		$this->deactivateComponent($this->loaderModel);
	}

	/**
	 * Turn the Zend Server component off by force
	 */
	public function forceDeactivateAction() {
		$this->forceDeactivateComponent($this->loaderModel);
	}
}
