<?php
class Form_Registration_Eula extends Zwas_Form {
	
	public function init() {
		parent::init();
		// checkbox
		$acceptTerms = new Zwas_Form_Element_Checkbox('acceptTerms');
		$acceptTerms
			->setLabel(Zwas_Translate::_('I have read and agree to the end user license agreement terms'))
			->setCheckedValue('1')
			->setChecked(ApplicationModel::hasAcceptedTerms())
			->setAttribs(array(
				'id'	=> 'accept-terms',
			));
		$acceptTerms->addValidator(new Zend_Validate_Identical('1'));
		$this->addElement($acceptTerms);
	}

	/**
	 * Set the accepted flag in the gui configuration
	 * @param array $data
	 * @return boolean
	 * @throws Zwas_Exception
	 */
	public function process() {
		parent::process();
		ApplicationModel::setAcceptedTerms();
		return true;
	}

}