<?php

interface Common_Context_Db_FactoryInterface {
	
	/**
	 * @return Zend_Db_Adapter_Abstract
	 */
	public function getDbAdapter();
		
	/**
	 * @return Directives_TableAll
	 */
	public function getDirectivesAll();
	
	/**
	 * @return Directives_TableCached
	 */
	public function getDirectivesCached();
	
	/**
	 * @return PhpExtensions_TableAll
	 */
	public function getPhpExtensionsAll();
	
	/**
	 * @return PhpExtensions_TableCached
	 */
	public function getPhpExtensionsCached();
	
	/**
	 * @return Zem_TableAll
	 */
	public function getZemExtensionsAll();
	
	/**
	 * @return Zem_TableCached
	 */
	public function getZemExtensionsCached();
	
	/**
	 * @return CacheTimestampsTable
	 */
	public function getCacheTimestamps();
		
}