<?php

abstract class Common_Context_Os_IbmI extends Context_Os_Nix implements Context_Os_Interface {
	/**
	 * @var int
	 */
	protected $restartTimeout = 10;

	/**
	 * @return int
	 */
	public function getOsType() {
		return self::OS_TYPE_IBMI;
	}
	
	/**
	 * Return the ini scandir of the Zend Server UI
	 * @return string
	 */
	public function getZendIniScandir() {
		return Zwas_Path::create(get_cfg_var('zend.conf_dir'), get_cfg_var('zend.ini_scandir'));
	}	
	
}
