<?php

abstract class Common_Context_Os_Nix extends Common_Context_Os_Abstract implements Context_Os_Interface {

	/**
	 * @var int
	 */
	protected $restartTimeout = 1;
	
	/**
	 * @return int
	 */
	public function getOsType() {
		return self::OS_TYPE_NIX;
	}
	
	/**
	 * @return PhpExtensions_Parser
	 */
	public function getPhpExtensionsParser() {
		return new PhpExtensions_Parser_Nix();
	}
	/**
	 * Return the ini scandir of the Zend Server UI
	 * @return string
	 */
	public function getZendIniScandir() {
		return Zwas_Path::create(ZEND_SERVER_GUI_PATH, 'lighttpd/etc/conf.d');
	}
	
}