<?php
interface Context_Api_FactoryInterface {

	/**
	 * @return PhpMemory_Interface
	 */
	public function getPhpMemory();
		
	/**
	 * @return ZwasComponents_Accelerator_Api_Interface
	 */
	public function getAcceleratorAPI();
	
	/**
	 * @return ZwasComponents_DataCache_Api_Interface
	 */
	public function getCacheAPI();
	
	/**
	 * @return ZwasComponents_Util_Api_Interface
	 */
	public function getUtilAPI();
	
	/**
	 * @return PhpGlobals_Api_Interface
	 */
	public function getPhpGlobals();

	/**
	 * @return Webserver_Api
	 */
	public function getWebserverAPI();
	
	/**
	 * @return ZwasComponents_PageCache_Api_Interface
	 */
	public function getPageCacheAPI();
	
	/**
	 * @return ZwasComponents_JavaBridge_Api_Interface
	 */
	public function getJavaBridgeAPI();

	/**
	 * @return ZwasComponents_MonitorUi_Api_Interface
	 */
	public function getMonitorUiApi();
	
	/**
	 * @return ZwasComponents_Monitor_Daemon_Api_Interface
	 */
	public function getMonitorDaemonApi();
	
	/**
	 * @return ZwasComponents_SessionClustering_Api_Interface
	 */
	public function getSessionClusteringDaemonApi();
	
	/**
	 * @return ZwasComponents_JobQueue_Api_Interface
	 */
	public function getJobQueueApi();
	
	/**
	 * @return ZwasComponents_CodeTracing_Api_Interface
	 */
	public function getCodeTracingApi();
}