<?php
class Context_Api_FactoryZwasServer extends Context_Api_FactoryAbstract {

	/**
	 * @return PhpMemory_Interface
	 */
	public function getPhpMemory() {
		return new PhpMemory_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_Accelerator_Api_Interface
	 */
	public function getAcceleratorAPI() {
		return new ZwasComponents_Accelerator_Api_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_DataCache_Api_Interface
	 */
	public function getCacheAPI() {
		return new ZwasComponents_DataCache_Api_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_PageCache_Api_Interface
	 */
	public function getPageCacheAPI() {
		return new ZwasComponents_PageCache_Api_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_JavaBridge_Api_ZwasServer
	 */
	public function getJavaBridgeAPI() {
		return new ZwasComponents_JavaBridge_Api_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_Util_Api_Interface
	 */
	public function getUtilAPI() {
		return new ZwasComponents_Util_Api_ZwasServer();
	}
	
	/**
	 * @return ZwasComponents_SessionClustering_Api_Interface
	 */
	public function getSessionClusteringDaemonApi() {
		return new ZwasComponents_SessionClustering_Api_ZwasServer();
	}
	/**
	 * @return PhpGlobals_Api_Interface
	 */
	public function getPhpGlobals() {
		return new PhpGlobals_Api_ZwasServer();
	}
	
	/**
	 * @return Webserver_Api
	 */
	public function getWebserverAPI() {
		return new Webserver_ZwasServer();
	}

}

