<?php

class  Context_Cache_Factory implements Context_Cache_FactoryInterface {
	
	/**
	 * @return Zwas_Cache_Interface
	 */
	public function getCache() {
		try {
			$cache = new Zwas_Cache_File(ZEND_SERVER_TEMP_PATH);
			
		} catch (Zwas_Exception $e) {
			Zwas_Log::logException('Failed to create Cache object', $e);
			$cache = new Zwas_Cache_Null();
		}
		
		return $cache;
	}
}