<?php

class Directives_DisplayData_Boolean extends Directives_DisplayData_Abstract {
	

	/**
	 * @var boolean
	 */
	private $value;

	/**
	 * @param string $name
	 * @param boolean $value
	 * @param string $description
	 * @param boolean $isDisabled
	 */
	public function __construct($name, $value, $description, $isDisabled) {
		parent::__construct(self::TYPE_BOOLEAN, $name, $description, $isDisabled);
		$this->value = $value;		
	}
	
	/**
	 * @return boolean
	 */
	public function getValue() {
		return $this->value;
	}

}