<?php

class PhpExtensions_Parser_Nix extends PhpExtensions_Parser {

	/**
	 * convert filename and path to basename without extension.
	 * (/path/to/extension/ext.so => ext)
	 *
	 * @param string $filename
	 * @return string
	 */
	public function getExtensionNameFromFileName($filename) {
		return basename($filename, '.so');
	}
	
	/**
	 * @return string
	 */
	protected function getExtensionFilePattern() {
		return '*.so';
	}
}