<?php

class Systray_Linker {
	
	/**
	 * @param string $key
	 * @return array
	 */
	public static function getLink($key) {
		$map = array('configureDebugger' 	=> array(	'controller'	=> 'Debugger',
														'action'		=> 'Index',
														'sidebarId'		=> MenuItem::generateId('Debugger', 'Index'),
													),

					'showPhpInfo'			=> array(	'controller'	=> 'Information',
														'action'		=> 'Phpinfo',
														'sidebarId'		=> MenuItem::generateId('Information', 'Phpinfo'),
													),

					'configureExtensions'	=> array(	'controller'	=> 'Configuration',
														'action'		=> 'Extensions',
														'sidebarId'		=> MenuItem::generateId('Configuration', 'Extensions'),
													),
					);
					
		if (array_key_exists($key, $map)) {
			return $map[$key];
		}
		throw new Zwas_Exception(Zwas_Translate::_('Wrong mapping...'));
	}
}