<?php

class Zem_TableAll extends Zend_Db_Table_Abstract {
	
	protected $_name 	= 'zemExtensionsAll';
	protected $_primary = 'name';

	/**
	 * Return if the extension is part of the installed package
	 * @param string $name
	 * @return boolean
	 */
	public function isComponentPartOfPackage($extensionName) {
		$row = $this->find($extensionName)->current();
		if ($row) {
			return true;
		}
		return false;
	}
}