<?php

interface ZwasComponents_Util_Api_Interface {
	
	const RESTART_TIME_LIMIT = 1800;	// 30 minutes in seconds
	
	/**
	 * @return array
	 */	
	public function getExtensionsInfo();

	/**
	 * @return array
	 */
	public function getLicenseInfo();

	/**
	 * @param string $license
	 * @param string $username
	 * @return array
	 */
	public function getSerialNumberInfo($key, $username);
	
	/**
	 * @return boolean
	 */
	public function isConfigurationChanged();
	
	public function setConfigurationChanged();
	
	/**
	 * Restart the webserver's PHP
	 * @return boolean if the server was signaled for a restart.  Note: it can't tell if the restart went OK
	 */
	public function restartPhp();
}