<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_Button extends Zend_View_Helper_Abstract {

	/**
	 * @param string $label
	 * @param string $onclick
	 * @param string $additionalClass
	 * @param string $id
	 * @param bool $disabled
	 * @param string $title
	 * @return string
	 */
	public function button($label, $onclick, $additionalClass = '', $id = '', $disabled = false, $title = '') {
		$disabled = ($disabled) ? ' disabled="true" ' : '';
		
		$output = "<div id=\"{$id}\"
						title=\"{$title}\"
						dojoType=\"zend.widget.button\"
						label=\"{$this->view->escape($label)}\" 
						onClick=\"{$onclick}\"
						additionalClasses=\"{$additionalClass}\"
						{$disabled}
					></div>";
		
		return $output;	
	}

}
