<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_HeadLink extends Zend_View_Helper_HeadLink {

    /**
     * Create data item for stack
     *
     * @param  array $attributes
     * @return stdClass
     */
    public function createData(array $attributes) {
        if (isset($attributes['href'])) {
        	try {
		    	$nocache = md5(ApplicationModel::getZendServerVersion()) . '.css';
		    	
	    		if (false === strpos($attributes['href'], '?')) {
	    		 	$attributes['href'] .= '?' . $nocache;
	    		} else {
	    		 	$attributes['href'] .= '&' . $nocache;
	    		}
        	} catch (Zwas_Exception $e) {
        		// do nothing
        	}
    	}
    	
    	return parent::createData($attributes);
    }
}
