<?php
/**
 * @uses viewHelper Zwas_View_Helper
 */
class Zwas_View_Helper_HeadScript extends Zend_View_Helper_HeadScript {
    /**
     * Create data item containing all necessary components of script
     *
     * @param  string $type
     * @param  array $attributes
     * @param  string $content
     * @return stdClass
     */
    public function createData($type, array $attributes, $content = null) {
    	if (isset($attributes['src'])) {
    		try {
		    	$nocache = md5(ApplicationModel::getZendServerVersion()) . '.js';
	    		if (false === strpos($attributes['src'], '?')) {
	    		 	$attributes['src'] .= '?' . $nocache;
	    		} else {
	    		 	$attributes['src'] .= '&' . $nocache;
	    		}
    		} catch (Zwas_Exception $e) {
    			// do nothing
    		}
    	}
    	
    	return parent::createData($type, $attributes, $content);
    }
}
