<?php
require_once ZEND_SERVER_APP_PE_PATH . '/controllers/JobQueueController.php';

class EE_JobQueueController extends PE_JobQueueController {
	public function jobsAction() {
		$nodesModel = new Nodes_Model();
		if($nodesModel->hasNodes()) {
			parent::jobsAction();
		} else {
			$this->setMessagePane(new MessagePane_Info(Zwas_Translate::_('There are currently no servers connected to the Zend Server Cluster Manager. Go to Cluster Setup | Servers to add servers to the cluster')));
			$this->renderScript('message.phtml');
			return;
		}
	}
	
	public function queueStatisticsAction() {
		$nodesModel = new Nodes_Model();
		if($nodesModel->hasNodes()) {
			parent::queueStatisticsAction();
		} else {
			$this->setMessagePane(new MessagePane_Info(Zwas_Translate::_('There are currently no servers connected to the Zend Server Cluster Manager. Go to Cluster Setup | Servers to add servers to the cluster')));
			$this->renderScript('message.phtml');
			return;
		}
	}
	
	/**
	 * @return ZwasComponents_ProbeInterface
	 */
	protected function getProbeInterface() {
		return new ZwasComponents_ZSM_JobQueue_Model();
	}
}