<?php
require_once ZEND_SERVER_APP_PE_PATH . '/controllers/MonitorUiController.php';

class EE_MonitorUiController extends PE_MonitorUiController {
	public function issuesListAction() {
		$nodesModel = new Nodes_Model();
		if ($nodesModel->hasRespondingNodes()) {
			parent::issuesListAction();
		} else {
			if ($nodesModel->hasNodes()) {
				$this->setMessagePane(new MessagePane_Info(
					Zwas_Translate::_('No response detected from cluster members. For more details, go to Cluster Setup | Servers'))
				);
			} else {
				$this->setMessagePane(new MessagePane_Info(
					Zwas_Translate::_('There are currently no servers connected to the Zend Server Cluster Manager. Go to Cluster Setup | Servers to add servers to the cluster'))
				);
			}
			$this->renderScript('message.phtml');
			return;
		}
	}
	
	/**
	 * @return ZwasComponents_ProbeInterface
	 */
	protected function getMonitorModel() {
		return new ZwasComponents_ZSM_Monitor_Model();
	}
}