<?php
class Nodes_Model_Plugin_DetachMonitorFromZSM extends Nodes_Model_Plugin_Abstract {
	
	/**
	 * @param Nodes_Model $model
	 * @param array $nodes array of Nodes_Element_Mapper elements
	 */
	public function preAction(Nodes_Model $model, Nodes_Element_Mapper $node = null) {
		
		try {
			$this->nodeRequest($model, $node, 'Node-Monitor-Component', 'Detach-Monitor-From-Zsm', array());
		} catch ( Zwas_Exception $e ) {
			Zwas_Log::logException ( "Failed on Nodes_Model_Plugin_DetachMonitorFromZSM before remove node: ", $e );
			/// we can not ignore this issue - the monitor must be disconnected or events might continue to be reported to the CM
			throw new Nodes_Model_Plugin_Exception($e->getMessageObject());
		}
	
	}
	
}