<?php
// Gui installation/application paths
define('ZEND_SERVER_GUI_PATH',		dirname(dirname(__FILE__)));
define('ZEND_SERVER_APP_PATH',		ZEND_SERVER_GUI_PATH . '/application');


require_once ZEND_SERVER_APP_PATH . '/application.php';

define('ZEND_SERVER_SKU_PATH',		ZEND_SERVER_APP_PATH . DIRECTORY_SEPARATOR . ZEND_SERVER_APP_VERSION);

set_include_path(
	ZEND_SERVER_GUI_PATH . '/library' .
	PATH_SEPARATOR . ZEND_SERVER_SKU_PATH . '/models');

// Check directives and extensions needed by Zend Server UI
require_once ZEND_SERVER_APP_PATH . '/CheckDependencies.php';
$checkDependencies = CheckDependencies::getChecker(ZEND_SERVER_APP_VERSION);
if (! $checkDependencies->check()){
	require_once ZEND_SERVER_GUI_PATH . '/html/server-configuration-errors.php';
	exit();
}

require_once ZEND_SERVER_APP_PATH . '/Initializer.php';
$initilizer = Initializer::getInitializer(ZEND_SERVER_APP_VERSION);

Zend_Controller_Front::getInstance()->registerPlugin($initilizer)->dispatch();