<?php
class Zwas_ZipArchive extends ZipArchive {

	/**
	 * @param string $zipFilepath
	 * @param integer $flags
	 * @throws Zwas_Exception
	 */
	public function __construct($zipFilepath, $flags) {
		$resultCode = $this->open($zipFilepath, $flags);
		if (true !== $resultCode) {
			// TRANSLATE
			throw new Zwas_Exception(new Zwas_Text(Zwas_Translate::_('Could not get a zip archive file with error \'%s\''), array($resultCode)));
		}
	}
}
